Update a permission
Path parameters
idstringRequired
The id of the permission to update.
Header parameters
Brand-URLstringRequiredExample:
The brand URL of the request. This is used to identify the brand.
YOUR_BRAND_URLAuth-KeystringRequiredExample:
Auth-Key is required to authenticate the request. If missing, the server will return 401 Unauthorized.
YOUR_AUTH_KEYBody
This class represents the permission data transfer object.
resourceTypeIdstring · min: 1Required
The resource type id.
codestring · min: 1Required
The permission code.
namestring · min: 1Required
The name of the permission.
descriptionstring · nullableOptional
The description of the permission.
tagsstring · nullableOptional
The tags of the permission.
Responses
200
The request was successful.
application/json
401
The user is not authorized to access the requested resource. The request is missing the required Auth-Key header.
application/json
403
The user's access was denied.
application/json
429
API call exceeded rate limit due to too many requests.
application/json
put
/api/v1/permissions/{id}Last updated